require 'NPCs/BodyLocations'
--***********************************************************
--**                    THE INDIE STONE                    **
--***********************************************************

-- Locations must be declared in render-order.
-- Location IDs must match BodyLocation= and CanBeEquipped= values in items.txt.
local group = BodyLocations.getGroup("Human")

group:getOrCreateLocation("BerserkArmorFull")
--Armor, can't be wear with anything (apart shirt/tshirt)
group:setExclusive("BerserkArmorFull", "Sweater")
group:setExclusive("BerserkArmorFull", "Hands")
group:setExclusive("BerserkArmorFull", "SweaterHat")
--group:setExclusive("BerserkArmorFull", "Shirt")
--group:setExclusive("BerserkArmorFull", "Tshirt")
group:setExclusive("BerserkArmorFull", "Jacket")
group:setExclusive("BerserkArmorFull", "Jacket_Down")
group:setExclusive("BerserkArmorFull", "JacketHat")
group:setExclusive("BerserkArmorFull", "Jacket_Bulky")
group:setExclusive("BerserkArmorFull", "JacketHat_Bulky")
group:setExclusive("BerserkArmorFull", "Dress")
--group:setExclusive("BerserkArmorFull", "Pants")
group:setExclusive("BerserkArmorFull", "Skirt")
group:setExclusive("BerserkArmorFull", "BathRobe")
group:setExclusive("BerserkArmorFull", "Hat")
group:setExclusive("BerserkArmorFull", "FullHat");
group:setExclusive("BerserkArmorFull", "Eyes");
group:setExclusive("BerserkArmorFull", "Mask")
group:setExclusive("BerserkArmorFull", "MaskEyes")
group:setExclusive("BerserkArmorFull", "MaskFull")
group:setExclusive("BerserkArmorFull", "Neck")
group:setExclusive("BerserkArmorFull", "TorsoExtra")
group:setExclusive("BerserkArmorFull", "FullTop")
group:setExclusive("BerserkArmorFull", "BodyCostume")
group:setExclusive("BerserkArmorFull", "Back")
--group:setExclusive("BerserkArmorFull", "Shoes")

group:getOrCreateLocation("BerserkArmorHead")
--Armor, can't be wear with anything (apart shirt/tshirt)
group:setExclusive("BerserkArmorHead", "Sweater")
group:setExclusive("BerserkArmorHead", "Hands")
group:setExclusive("BerserkArmorHead", "SweaterHat")
--group:setExclusive("BerserkArmorHead", "Shirt")
--group:setExclusive("BerserkArmorHead", "Tshirt")
group:setExclusive("BerserkArmorHead", "Jacket")
group:setExclusive("BerserkArmorHead", "Jacket_Down")
group:setExclusive("BerserkArmorHead", "JacketHat")
group:setExclusive("BerserkArmorHead", "Jacket_Bulky")
group:setExclusive("BerserkArmorHead", "JacketHat_Bulky")
group:setExclusive("BerserkArmorHead", "Dress")
--group:setExclusive("BerserkArmorHead", "Pants")
group:setExclusive("BerserkArmorHead", "Skirt")
group:setExclusive("BerserkArmorHead", "BathRobe")
group:setExclusive("BerserkArmorHead", "MaskFull")
group:setExclusive("BerserkArmorHead", "Neck")
group:setExclusive("BerserkArmorHead", "TorsoExtra")
group:setExclusive("BerserkArmorHead", "FullTop")
group:setExclusive("BerserkArmorHead", "BodyCostume")
group:setExclusive("BerserkArmorHead", "Back")
--group:setExclusive("BerserkArmorHead", "Shoes")